using System.ServiceModel;
using TimeLineDataContract;

namespace TimeLineControlNamedPipes.Communication
{
    [ServiceContract]
    public interface IPipeService
    {
        [OperationContract]
        void PipeSendSlidesDeck(SlideDeskContract[] data);

        [OperationContract]
        void PipeSendCurrentSlide(SlideDeskContract data);

        [OperationContract]
        void PipeSendNameApp(string data);

        [OperationContract]
        void PipeSendOk();

        [OperationContract]
        void PipeShowbar(bool show);

        [OperationContract]
        void PipeSlideRunning(bool running);

    }
}
