﻿
namespace TimeLineControlPowerPointAddIn
{
    public class ResMng
    {

        public static string StringResource(string key)
        {
            return StringResource(key, "en-US");
        }

        public static string StringResource(string key, string defaultLanguage)
        {
            var result = Properties.Resources.ResourceManager.GetString(key);
            if (string.IsNullOrEmpty(result))
            {
                result = Properties.Resources.ResourceManager.GetString(key,
                    new System.Globalization.CultureInfo(
                        defaultLanguage));
            }
            return result;
        }
    }
}
