﻿using System;
using System.Runtime.Serialization;

namespace TimeLineDataContract
{
    [DataContract]
    [Serializable]
    public class SlideDeskContract
    {
        [DataMember]
        public string Title { get; set; }

        [DataMember]
        public long Id { get; set; }

        [DataMember]
        public int SlideNumber { get; set; }

        [DataMember]
        public bool Visibled { get; set; }

        [DataMember]
        public TimeSpan ElaspTime { get; set; }

        [DataMember]
        public bool FullScreen { get; set; }

        [DataMember]
        public DockWindows DockPosition { get; set; }

        [DataMember]
        public DateTime? StarTimeShow { get; set; }

        [DataMember]
        public DateTime? EndTimeShow { get; set; }

    }

}
