﻿using System;
using System.Diagnostics;
using System.Windows.Forms;

namespace TimeLineControl
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        public static void Main(string[] args)
        {
            var aProcess = Process.GetCurrentProcess();
            var aProcName = aProcess.ProcessName;
            if (Process.GetProcessesByName(aProcName).Length > 1)
            {
                MessageBox.Show(ScreenUtil.StringResource("AlreadyRunning"), ScreenUtil.StringResource("NameApp"), MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new FrmTimeLine());              
        }
    }
}
